# $Revision: 1.34 $, $Date: 2012/05/06 15:18:58 $
%define		status		stable
%define		pearname	DB_DataObject_FormBuilder
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - automatically build HTML_QuickForm object from a DB_DataObject derived class
Summary(pl.UTF-8):	%{pearname} - automatyczne budowanie obiektu HTML_QuickForm pochodzącego z DB_DataObject
Name:		php-pear-%{pearname}
Version:	1.0.2
Release:	1
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	fb2342e02b93284e457eafd1315a1ff5
URL:		http://pear.php.net/package/DB_DataObject_FormBuilder/
BuildRequires:	php-pear-PEAR >= 1:1.4.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear >= 4:1.0-8
Requires:	php-pear-DB_DataObject >= 1.8.5
Requires:	php-pear-HTML_QuickForm >= 3.2.4
Suggests:	php-pear-Date
Suggests:	php-pear-HTML_QuickForm_ElementGrid
Suggests:	php-pear-HTML_Table
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Date.*) pear(HTML/Table.*) pear(HTML/QuickForm/ElementGrid.*)

%description
DB_DataObject_FormBuilder will aid you in rapid application
development using the packages DB_DataObject and HTML_QuickForm. For
having quick but working prototype of your application, simply model
the database, run DataObject`s CreateTable script over it and write a
script that passes one of the resulting objects to the FormBuilder
class. The FormBuilder class will automatically generate a simple but
working HTML_QuickForm object that you can use to test your
application. It also provides a processing method that will
automatically detect if an insert() or update() command has to be
executed after the form has been submitted. If you have set
DataObject`s links.ini file correctly, it will also automatically
detect if a table field is a foreign key and will populate a selectbox
with the linked table`s entry. There are many optional parameteres
that you can place in DataObjects.ini or in properties of your derived
classes, that you can use to fine-tune the form generation, gradually
turning the prototypes into fully features forms and you can take
control of any stage at the process.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
DB_DataObject_FormBuilder pomaga w budowaniu aplikacji opartych na
klasach DB_DataObject oraz HTML_QuickForm. W celu uzyskania szybkiego,
lecz działającego prototypu aplikacji, wystarczy stworzyć model bazy,
uruchomić skrypt CreateTable i zapisać skrypt przekazujący jeden ze
zwróconych obiektów do klasy FormBuilder. Klasa ta automatycznie
wygeneruje prosty lecz działający obiekt HTML_QuickForm, który można
użyć do przetestowania aplikacji. Dostarcza także metod automatycznie
wykrywających czy komenda insert() lub update() musi być wykonana
przed wysłaniem formularza. Jeśli plik links.ini został poprawnie
skonfigurowany, DataObject automatycznie wykryje czy pole tabeli jest
kluczem obcym i rozpropaguje element formularza typu selectbox z
polami połączonej tabeli. Istnieje także wiele dodatkowych parametrów,
które można umieścić w pliku DataObjects.ini lub przekazać jako
parametr do klasy pochodnej, dzięki którym można usprawnić generowanie
formularza, stopniowo przekształcając prototypy w pełni konfigurowalne
formularze.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

# packaging tools
rm .%{php_pear_dir}/data/DB_DataObject_FormBuilder/tools/fix0.9.0Files.php
rm .%{php_pear_dir}/data/DB_DataObject_FormBuilder/tools/fixPre1.52CVSFiles.php

mv .%{php_pear_dir}/data/DB_DataObject_FormBuilder/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc README
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/DB/DataObject/FormBuilder.php
%{php_pear_dir}/DB/DataObject/FormBuilder

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_DataObject_FormBuilder.spec,v $
Revision 1.34  2012/05/06 15:18:58  glen
- up to 1.0.2

Revision 1.33  2011/01/23 01:22:27  sparky
- tests are no longer installed - don't try to remove them

Revision 1.32  2010/11/15 15:00:54  glen
- up to 1.0.1-stable

Revision 1.31  2010/08/21 19:08:48  glen
- updated deps with pearize.sh
- release 3

Revision 1.30  2008/01/31 12:16:06  glen
- rel 2

Revision 1.29  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.27  2006/11/01 16:38:34  glen
- 1.0.0-RC5; updated License

Revision 1.26  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.25  2006/04/02 11:23:10  glen
- 1.0.0RC4

Revision 1.24  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.23  2005/12/13 11:03:22  glen
- cat optional-packages.txt; rel 3

Revision 1.22  2005/10/05 18:31:31  glen
- rel 2

Revision 1.21  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.20  2005/09/21 21:04:01  glen
- fixed dirs

Revision 1.19  2005/09/19 21:43:39  glen
- integer BR

Revision 1.18  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.17  2005/08/24 17:07:49  adamg
- updated to 0.18.1

Revision 1.16  2005/05/04 20:52:35  adamg
- updated to 0.14.0

Revision 1.15  2005/04/08 20:46:14  adamg
- updated to 0.13.1

Revision 1.14  2005/03/27 01:01:17  adamg
- updated to 0.12.1

Revision 1.13  2005/02/19 18:07:38  adamg
- updated to 0.11.2

Revision 1.12  2005/02/05 19:53:36  adamg
- updated to 0.11.1

Revision 1.11  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/11/08 20:35:44  paladine
- updated to 0.10.3

Revision 1.9  2004/10/30 06:40:34  adamg
- updated to 0.10.2

Revision 1.8  2004/08/28 10:18:23  adamg
- updated to 0.10.0

Revision 1.7  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.6  2004/05/16 07:08:28  adamg
- updated to 0.9.0

Revision 1.5  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.4  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.3  2003/09/02 09:59:12  qboosh
- typos, cosmetics

Revision 1.2  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.1  2003/08/31 10:40:59  adamg
- initial import
